from logic import *


class Classifier:
    '''
    This class works as a simple classifier of a clause, which is given to the constructor. Thereafter, a prediction is made each time the method predict(Interpretation) is called with an interpretation.
     
    You should implement the method predict if you want to submit the optional task.    
    '''

    def __init__(self, clause):
        '''
        Construct the predictor with a hypothesis.

        :type clause: Clause
        :rtype: Classifier
        '''
        self.clause = clause

    def predict(self, interpretation):
        '''
        This method returns True if and only if the given interpretation is a model of the clause; otherwise it returns False.
        
        Optional task - implement this method.
        
        :type interpretation: Interpretation 
        :rtype: bool
        '''

        ### TODO -- put your code here

        return False




